Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01269 Graphics Minor Have not tried Feb 17, 2008, 11:04 May 22, 2011, 19:37
Tester Smitdogg View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver cps1.cpp
Version 0.67 Fixed in Version 0.86u4 Build
Fixed in Git Commit Github Pull Request #
Summary 01269: dynwar: There's a bit of graphical garbage at the final score tally.
Description When this set was added to MAME, it started using the Japanese clone's gfx ROMs, assuming they are were the same in both sets. The gfx ROMs for the world version weren't dumped and most likely were different, regardless of Capcom's track record. Check the dump notes in Guru's Dynasty Wars dump that hasn't yet been added. Glitches happen currently, for example:

There's a bit of graphical garbage at the final score tally (should be "" then nothing, since there is no Level 9) if you've reached Level 8. Score is displayed properly at the end of any previous level where you happen to get to Level 8.
Steps To Reproduce
Additional Information The roms being used by that version have been dumped from the correct board now. If the glitches are still present it's either a case of 'lazy Capcom English translation' or general CPS1 weirdness. - Haze (0.111)
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems dynwar
Attached Files
png file icon dw067gre.png (3,766 bytes) Feb 17, 2008, 11:04
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.02513
Smitdogg
Moderator
Sep 21, 2008, 03:01
This was fixed by adding the the correct gfx roms dumps, I just played through the whole game. Thanks to whoever dumped them.